|  | Home · All Classes · Modules

# QStyleOptionSlider Class Reference
[QtGui module]

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider. More...

Inherits QStyleOptionComplex.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionSlider other)

### Members

- bool dialWrapping
- int maximum
- int minimum
- float notchTarget
- Qt.Orientation orientation
- int pageStep
- int singleStep
- int sliderPosition
- int sliderValue
- int tickInterval
- QSlider.TickPosition tickPosition
- bool upsideDown

## Detailed Description

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider.

QStyleOptionSlider contains all the information that QStyle functions need to draw QSlider and QScrollBar.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionSlider.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSlider.Type` | `SO_Slider` | The type of style option provided (SO_Slider for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionSlider.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSlider.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionSlider.__init__ (self)

Constructs a QStyleOptionSlider, initializing the members variables to their default values.

### QStyleOptionSlider.__init__ (self, QStyleOptionSlider other)

Constructs a copy of the other style option.

## Member Documentation

### bool dialWrapping

This variable holds whether the dial should wrap or not.

The default value is false, i.e. the dial is not wrapped.

See also QDial.wrapping().

### int maximum

This variable holds the maximum value for the slider.

The default value is 0.

### int minimum

This variable holds the minimum value for the slider.

The default value is 0.

### float notchTarget

This variable holds the number of pixel between notches.

The default value is 0.0.

See also QDial.notchTarget().

### Qt.Orientation orientation

This variable holds the slider's orientation (horizontal or vertical).

The default orientation is Qt.Horizontal.

See also Qt.Orientation.

### int pageStep

This variable holds the size of the page step of the slider.

The default value is 0.

See also QAbstractSlider.pageStep.

### int singleStep

This variable holds the size of the single step of the slider.

The default value is 0.

See also QAbstractSlider.singleStep.

### int sliderPosition

This variable holds the position of the slider handle.

If the slider has active feedback (i.e., QAbstractSlider.tracking is true), this value will be the same as sliderValue. Otherwise, it will have the current position of the handle. The default value is 0.

See also QAbstractSlider.tracking and sliderValue.

### int sliderValue

This variable holds the value of the slider.

If the slider has active feedback (i.e., QAbstractSlider.tracking is true), this value will be the same as sliderPosition. Otherwise, it will have the value the slider had before the mouse was pressed.

The default value is 0.

See also QAbstractSlider.tracking and sliderPosition.

### int tickInterval

This variable holds the interval that should be drawn between tick marks.

The default value is 0.

### QSlider.TickPosition tickPosition

This variable holds the position of the slider's tick marks, if any.

The default value is QSlider.NoTicks.

See also QSlider.TickPosition.

### bool upsideDown

This variable holds the slider control orientation.

Normally a slider increases as it moves up or to the right; upsideDown indicates that it should do the opposite (increase as it moves down or to the left). The default value is false, i.e. the slider increases as it moves up or to the right.

See also QStyle.sliderPositionFromValue(), QStyle.sliderValueFromPosition(), and QAbstractSlider.invertedAppearance.